[ORG 0x7C00]
[BITS 16]

_start: ; entry point
	cli
	jmp 0x0:.flush
.flush:
	mov ax, cs
	mov ds, ax
	mov es, ax
	mov ss, ax
	mov sp, 0x7BFE
	mov [bootdisk], dl
	sti


.reset:
	xor ax, ax
	mov dl, [bootdisk]
	int 0x13
	jc .reset

.read:
	mov ah, 0x2
	mov al, 1 ; read 1 sector
	xor cx, cx ; track 0
	mov cl, 2 ; read sector 2
	xor dx, dx ; head 0
	mov dl, [bootdisk]
	
	; setup buffer
	xor bx, bx
	mov es, bx
	mov bx, 8000h ; offset 8000 hex
	int 0x13
	jc .read
	or ah, ah
	jnz .reset

	; print a character
	mov al, 65
	mov ah, 0x0E
	xor bh, bh	; page 0
	int 0x10
	jmp 0x0:8000h

	bootdisk db 0

times 510 - ($ - $$) db 0
dw 0xAA55